2021-01-27 11:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000197Frama-CKernelpublic2014-02-12 16:56
Reporterrbonichon 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOpenBSDOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000197: Options <plug-in>-debug and <plug-in>-verbose for dynamic plug-ins do not work
DescriptionCLI options <plug-in-name>-debug and <plug-in-verbose> which are made automagically available for dynamic plug-ins (as document by frama-c -<plug-in-name>-help do not actually seem to exist at all as they are not recognized as valid CLI options.

In the case of the mthread plug-in it ends with the following message:
[kernel] error: option `-mthread-debug' is unknown.
[kernel] error: use `frama-c -help' for more information.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000285

correnson (manager)

LC: I'm not sure the following line is the correct fix for bug 0000197
       We must face the following problem:
       - Statically linked plugins: options are registered BEFORE the Early stage of parsing
       - Dynamically linked ones: options are registered DURING the Extending stage of parsing
       Thus, all dynamically linked plugins *should* never register options
       for the Early and Extending stages. => what about the verbose and debug options ???
       I suggest to parse the -xxx-debug and -xxx-verbose options and the loading phase (thus,
       just before the configuring phase.

       To be confirmed by Julien.

~0000286

correnson (manager)

SVN version 5802

To be confirmed by Julien.

~0000298

signoles (manager)

The Loïc's patch is ok.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-21 15:03 rbonichon New Issue
2009-07-21 15:03 rbonichon Status new => assigned
2009-07-21 15:03 rbonichon Assigned To => correnson
2009-07-21 15:48 correnson Note Added: 0000285
2009-07-21 15:50 correnson Note Added: 0000286
2009-07-21 15:50 correnson Status assigned => resolved
2009-07-21 15:50 correnson Fixed in Version => Frama-C svn, precise the release id
2009-07-21 15:50 correnson Resolution open => fixed
2009-07-21 15:50 correnson Status resolved => assigned
2009-07-21 15:50 correnson Assigned To correnson => signoles
2009-07-22 15:48 svn
2009-07-22 16:16 svn
2009-07-23 13:53 signoles Note Added: 0000298
2009-07-23 13:53 signoles Status assigned => resolved
2009-07-23 15:14 svn
2009-07-27 10:23 svn
2009-09-02 10:54 signoles Status resolved => closed
2009-09-23 16:57 signoles Fixed in Version Frama-C svn, precise the release id => Frama-C Beryllium
2013-12-19 01:13 correnson Source_changeset_attached => framac master 39b24ab2
2013-12-19 01:13 correnson Source_changeset_attached => framac master 228e3c7d
2013-12-19 01:13 correnson Source_changeset_attached => framac master 1a71d83d
2013-12-19 01:13 correnson Source_changeset_attached => framac master 1202dc9f
2014-02-12 16:56 correnson Source_changeset_attached => framac stable/neon 39b24ab2
2014-02-12 16:56 correnson Source_changeset_attached => framac stable/neon 228e3c7d
2014-02-12 16:56 correnson Source_changeset_attached => framac stable/neon 1a71d83d
2014-02-12 16:56 correnson Source_changeset_attached => framac stable/neon 1202dc9f
+Issue History